Subject: FW: [AAA-WG]: Issue 77: Possibility for implicit termination of an Authentication or Authorization session.

From: Balazs Czoma <[email-masked]>
Date: Tue, 12 Jun 2001 11:54:05 -0400

> -----Original Message-----
> From: Irene Martin Cabello (ECE)

> In the Base Protocol (chapter 10.4, Authorization Lifetime) 
> is writen: 
> "A value of zero means that no re-authorization is required". 
> I thought this value of zero was useful when AAA does not 
> require a re-authentication and/or re-authorization initiated 
> from the access device, because the AAA will be in charge of 
> initiating it by means of sending an unsolicited AA-Answer 
> message with the Result-Code AVP set to 
> DIAMETER_MULTI_ROUND_AUTH (former "AA-Challenge" message).
> 
> But, according to your proposal, the value of zero implies 
> that no session information will be stored in the AAA. Then 
> my above assumption was wrong, but then my question is: when 
> could be useful for the AAA to send an unsolicited 
> re-authentication and/or re-authorization? I think always the 
> access device must be in charge of requesting a 
> re-authentication and/or re-authorization, and the AAA MUST 
> clean up resources when the Authorization lifettime expires 
> without re-authorization.

I think there is a misunderstanding here:

The server is the one who can tell if re-authorization is required. This
last sentence in the draft chapter 10.4 should better be separated from the
paragraph where the AVP provided by the client is discussed and stated that
it is for the case when the server includes this AVP with zero value.

If the client sends the AVP with zero value it can still have the meaning
that was proposed by Tony which is a very useful idea for us too.

Regards:
Balazs
____________________________________________
Balazs Czoma
Siemens Telecom Innovation Centre
mailto:[email-masked] 
____________________________________________